Loading...
Searching...
No Matches
L4::Typeid::Rpcs< RPCS > Struct Template Reference

Standard list of RPCs of an interface. More...

`#include <l4/sys/capability>`

Inheritance diagram for L4::Typeid::Rpcs< RPCS >:
Collaboration diagram for L4::Typeid::Rpcs< RPCS >:

## Detailed Description

template<typename ... RPCS>
struct L4::Typeid::Rpcs< RPCS >

Standard list of RPCs of an interface.

Template Parameters

  RPCS | list of RPC types as defined by L4_RPC etc.

This is the default list for RPC functions of an interface, it uses L4::Opcode as opcode type and uses opcodes starting from 0.

Examples
  examples/clntsrv/src/shared.h.

Definition at line 428 of file __typeinfo.h.

The documentation for this struct was generated from the following file:

- l4/sys/__typeinfo.h